Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Silverstripe 3.1: Warning: posix_getpwuid() has been disabled for security reasons #2494

Closed
rpaget opened this Issue Oct 4, 2013 · 0 comments

Comments

Projects
None yet
3 participants

rpaget commented Oct 4, 2013

In Silverstripe 3.1, on some shared hosts the following bug can occur:
Warning: posix_getpwuid() has been disabled for security reasons

Solved by replacing
framework/core/TempPath.php line 28 with:

if(!$user && function_exists('posix_getpwuid') && function_exists('posix_getuid')) {

@simonwelsh simonwelsh added the 3.1 label Mar 15, 2014

sminnee added a commit to sminnee/silverstripe-framework that referenced this issue May 22, 2017

FIX: Don’t assume posix_getpwuid is available.
Fixes silverstripe#2494

In Silverstripe 3.1, on some shared hosts the following bug can occur:
Warning: posix_getpwuid() has been disabled for security reasons

sminnee added a commit to sminnee/silverstripe-framework that referenced this issue May 22, 2017

FIX: Don’t assume posix_getpwuid is available.
Fixes silverstripe#2494

In Silverstripe 3.1, on some shared hosts the following bug can occur:
Warning: posix_getpwuid() has been disabled for security reasons

@tractorcow tractorcow closed this in #6951 May 23, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment